Bug 823656 - SELinux is preventing ssh from 'add_name' accesses on the directory .ssh.
SELinux is preventing ssh from 'add_name' accesses on the directory .ssh.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:e8817ec6d53e2d6d33d5cac1425...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-21 15:39 EDT by darwinian.empire
Modified: 2013-02-13 13:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 13:55:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description darwinian.empire 2012-05-21 15:39:19 EDT
libreport version: 2.0.8
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.5-2.fc16.i686
reason:         SELinux is preventing ssh from 'add_name' accesses on the directory .ssh.
time:           Mon 21 May 2012 10:35:39 PM IDT

description:
:SELinux is preventing ssh from 'add_name' accesses on the directory .ssh.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that ssh should be allowed add_name access on the .ssh directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep ssh /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:mount_t:s0
:Target Context                system_u:object_r:admin_home_t:s0
:Target Objects                .ssh [ dir ]
:Source                        ssh
:Source Path                   ssh
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-86.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.5-2.fc16.i686 #1 SMP Tue May 8
:                              12:04:02 UTC 2012 i686 i686
:Alert Count                   3
:First Seen                    Mon 21 May 2012 10:07:00 PM IDT
:Last Seen                     Mon 21 May 2012 10:34:38 PM IDT
:Local ID                      0e49f55e-218b-4e67-8aa2-ff5cb1255931
:
:Raw Audit Messages
:type=AVC msg=audit(1337628878.125:346): avc:  denied  { add_name } for  pid=12995 comm="ssh" name=".ssh" scontext=system_u:system_r:mount_t:s0 tcontext=system_u:object_r:admin_home_t:s0 tclass=dir
:
:
:Hash: ssh,mount_t,admin_home_t,dir,add_name
:
:audit2allow
:
:#============= mount_t ==============
:allow mount_t admin_home_t:dir add_name;
:
:audit2allow -R
:
:#============= mount_t ==============
:allow mount_t admin_home_t:dir add_name;
:
Comment 1 Daniel Walsh 2012-05-23 07:19:16 EDT
restorecon -R -v /root

You have a labeling problem.

Any idea why the mount command is running ssh?
Comment 2 Miroslav Grepl 2012-05-24 04:53:06 EDT
What were you doing when this happened?
Comment 3 Fedora End Of Life 2013-01-16 10:46:22 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 13:55:52 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.